/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/*** HEADER ***/

/* HEADER */
#site-header {
  top: 0;
  z-index: 9999;
  background: transparent;

  /* évite les galères de z-index négatif qui passe sous la page */
  isolation: isolate;
}

body:not(.tax-mvp_collection, .single-mvp_product) #site-header{
    position: fixed;
    top: 0;
}
body.admin-bar:not(.tax-mvp_collection, .single-mvp_product) #site-header{
    top: 32px;
}

/* Fond qui se remplit du haut vers le bas */
#site-header::before {
  content: "";
  position: absolute;
  inset: 0;
  background: #fff;
  transform: scaleY(0);
  transform-origin: top;
  transition: transform 280ms ease;
  z-index: -1;          /* derrière le contenu */
  pointer-events: none; /* ne gêne pas le hover/clic */
}

/* Active au scroll OU au hover */
#site-header:is(.is-scrolled, :hover)::before,
body:is(.archive.tax-mvp_collection, .single-mvp_product) #site-header::before {
  transform: scaleY(1);
  box-shadow: 0px 3px 6px 0px rgba(0, 0, 0, 0.16);
}

/* Transitions de couleur (plus agréable) */
#site-header a,
#site-header .elementor-icon-list-text,
#site-header .elementor-nav-menu a,
#site-header .elementor-social-icon svg,
#site-header .elementor-social-icon svg * {
  transition: color 200ms ease, fill 200ms ease, stroke 200ms ease;
}

/* Couleurs au scroll OU au hover */
#site-header:is(.is-scrolled, :hover),
#site-header:is(.is-scrolled, :hover) a,
#site-header:is(.is-scrolled, :hover) .elementor-icon-list-text,
#site-header:is(.is-scrolled, :hover) .elementor-nav-menu a,
body:is(.archive.tax-mvp_collection, .single-mvp_product) #site-header,
body:is(.archive.tax-mvp_collection, .single-mvp_product) #site-header a,
body:is(.archive.tax-mvp_collection, .single-mvp_product) #site-header .elementor-icon-list-text,
body:is(.archive.tax-mvp_collection, .single-mvp_product) #site-header .elementor-nav-menu a{
  color: #000 !important;
}

#site-header:is(.is-scrolled, :hover) .elementor-nav-menu .elementor-nav-menu--dropdown a,
body:is(.archive.tax-mvp_collection, .single-mvp_product) #site-header .elementor-nav-menu .elementor-nav-menu--dropdown a{
  color: #747474 !important;
}
#site-header:is(.is-scrolled, :hover) .elementor-nav-menu .elementor-nav-menu--dropdown a:hover,
body:is(.archive.tax-mvp_collection, .single-mvp_product) #site-header .elementor-nav-menu .elementor-nav-menu--dropdown a:hover{
  color: #fff !important;
}
#site-header:is(.is-scrolled, :hover) svg,
#site-header:is(.is-scrolled, :hover) svg *,
body:is(.archive.tax-mvp_collection, .single-mvp_product) #site-header svg,
body:is(.archive.tax-mvp_collection, .single-mvp_product) #site-header svg *{
  fill: #000 !important;
  stroke: #000 !important;
}


/* LOGOS : état par défaut = blanc visible, bleu caché */
#site-header .logo-bleu { display: none !important; }
#site-header .logo-blanc { display: block !important; }

/* Quand scroll OU hover : bleu visible, blanc caché */
#site-header:is(.is-scrolled, :hover) .logo-bleu,
body:is(.archive.tax-mvp_collection, .single-mvp_product) #site-header .logo-bleu{ display: block !important; }
#site-header:is(.is-scrolled, :hover) .logo-blanc,
body:is(.archive.tax-mvp_collection, .single-mvp_product) #site-header .logo-blanc{ display: none !important; }


body:is(.archive.tax-mvp_collection, .single-mvp_product) header{
    position: sticky;
    top: 0;
    z-index: 99;
}
body:is(.archive.tax-mvp_collection, .single-mvp_product).admin-bar header{
    top: 32px;
}
body:is(.archive.tax-mvp_collection, .single-mvp_product) #site-header{
    position: relative!important;
}
/*** FIN HEADER ***/


/* Add your custom styles here */
.discover-btn a{
  display: inline-flex;
  align-items: center;
  text-decoration: none;
  transition: transform .25s ease;
}

/* flèche invisible + ne prend aucune place */
.discover-btn:not(.btn-back) a::after{
  content: "";
  display: inline-block;
  width: 0;
  height: 0;

  opacity: 0;
  margin-left: 0;

  /* triangle type caret-right */
  border-top: .35em solid transparent;
  border-bottom: .35em solid transparent;
  border-left: 0 solid currentColor;

  transform: translateX(-6px);
  transition:
    opacity .25s ease,
    transform .25s ease,
    border-left-width .25s ease,
    margin-left .25s ease;
}

/* hover : le texte bouge à gauche et la flèche apparaît */
.discover-btn:not(.btn-back):hover a{
  transform: translateX(-6px);
}

.discover-btn:not(.btn-back):hover a::after{
  opacity: 1;
  transform: translateX(0);
  border-left-width: .45em;  /* la flèche “prend sa place” uniquement au hover */
  margin-left: .5em;
}

.discover-btn.btn-back a::before{
  content: "";
  display: inline-block;
  width: 0;
  height: 0;

  opacity: 0;
  margin-right: 0;

  /* triangle type caret-left */
  border-top: .35em solid transparent;
  border-bottom: .35em solid transparent;
  border-right: 0 solid currentColor;

  transform: translateX(6px);
  transition:
    opacity .25s ease,
    transform .25s ease,
    border-right-width .25s ease,
    margin-right .25s ease;
}

/* hover : le texte bouge à droite et la flèche apparaît */
.discover-btn.btn-back:hover a{
  transform: translateX(6px);
}

.discover-btn.btn-back:hover a::before{
  opacity: 1;
  transform: translateX(0);
  border-right-width: .45em;  /* la flèche “prend sa place” uniquement au hover */
  margin-right: .5em;
}

/**** LOOP PROGRESSBAR **/
.swiper-loop .swiper-pagination-progressbar{
        bottom: -55px;
    top: auto;
    left: 50%;
    width: calc(100vw - 100px);
    max-width: 1690px;
    transform: translateX(-50%);
    border-radius: 10px;
    overflow: hidden;
    border: 1px solid #000;
    background-color: #FFF;

    position: relative;
    bottom: 0;
    margin-top: 45px;
}

.swiper-loop .swiper-pagination-progressbar-fill{
    height: 85%;
        top: 1px;
    left: 1px;
    border-radius: 10px;
}

/*** BUTTON ACCORDEON DEMANDE TARIF ***/
.btn-title-accordeon .e-n-accordion-item-title {
    display: flex;
    width: 140px;
    align-self: flex-end;
    border: 1px solid #000!important;
    border-radius: 30px;
    padding: 5px;
    justify-content: center;
}

.btn-title-accordeon .e-n-accordion-item-title:hover{
    background-color: var(--e-global-color-accent);
    color: #FFF!important;
    border-color: #FFF!important;
}
.btn-title-accordeon .e-n-accordion-item-title:hover svg {
    fill: #FFF!important;
}

/**** PRODUIT ****/
.mvp-dimensions-list {
    list-style: none;
    padding: 0;
}

.hide-label .elementor-field-group:not(.elementor-field-group-profession) > label {
    height: 1px;
    margin: -1px;
    overflow: hidden;
    padding: 0;
    position: absolute;
    top: -10000em;
    width: 1px;
    clip: rect(0, 0, 0, 0);
    border: 0;
}

.elementor-field-option {
    display: inline-flex;
    align-items: center;
    gap: 5px;
}
.elementor-field-option label {
    font-family: var(--e-global-typography-0e993e4-font-family), Sans-serif!important;
    font-size: 16px!important;
}
.elementor-field-group-profession .elementor-subgroup-inline{
    justify-content: space-between;
}


body:is(.archive.tax-mvp_collection, .single-mvp_product) .section-bottom-contact{
    display: none;
}